2017-10-21 3 views
0

J'ai un problème lors de l'utilisation de la bibliothèque pyQt4 dans Atom. J'ai installé le paquet en utilisant le fichier d'installation de sourceforge. J'ai python 3.6 installé. Voici le code que j'ai maintenant:Le chargement de la DLL pyQt4 a échoué: le module spécifié est introuvable

import sys 
from PyQt4 import QtGui 

Chaque fois que j'essaie d'exécuter ce que je reçois l'erreur suivante:

File ".\test.py", line 4, in <module> 
from PyQt4 import QtGui` 
ImportError: DLL load failed: The specified module could not be found. 

Je l'ai déjà googlé et trouvé quelques façons de corriger cela, mais aucune des solutions travaillé pour moi. Voici ce que j'ai fait jusqu'ici: -Confirmé tous les fichiers .dll sont dans le répertoire principal (pas de répertoire \ bin) -Confirmé à la fois python et qt4 sont 64bit. -Créé un chemin d'environnement dans le système Windows pointant vers le répertoire qt4 -Installé et installé à nouveau qt4 -Installé qt5 - a rencontré la même erreur. -Confirmé python3.dll est présent dans le répertoire python

Une idée de quoi d'autre pourrait être le problème? Ou peut-être que je devrais juste changer en wxpython? Merci.

Répondre

0

OK, j'ai compris. Je ne sais pas pourquoi, mais j'ai dû désinstaller et réinstaller la gorgée à nouveau. Je crois que j'ai installé pytq4 avant d'installer la gorgée et cela n'a pas bien fonctionné. J'ai désinstallé à la fois pyqt4 et sip et installé sip -> pyqt4 dans cet ordre. Espérons que cela aide quelqu'un.